## arqiver 0.6.0

=== debian/changelog ===
arqiver (0.6.0-0.1~mx17+1) mx; urgency=medium

  * Intial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Jul 2020 14:27:49 -0700
