=== debian/control ===
Source: arqiver
Maintainer: Steven Pusser <stevep@mxlinux.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libqt5svg5-dev,
               qtbase5-dev,
               qttools5-dev-tools
Standards-Version: 4.4.1
Homepage: https://github.com/tsujan/Arqiver

Package: arqiver
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gzip,
         libarchive-tools,
         p7zip-full | p7zip
Description: simple Qt5 archive manager
 Arqiver is a simple Qt5 archive manager as a front-end for libarchive
 (bsdtar), gzip, and 7z.
 .
 Arqiver can extract, create and edit archives that are supported by its
 backends. It can open archives by drag-and-drop. Its listed items can be
 viewed separately, or dragged and dropped into appropriate applications. With
 7z, it also supports password protection, and is desktop-independent.
 .
 This package contain the application files.

Package: arqiver-l10n
Architecture: all
Section: localization
Depends: qttranslations5-l10n
Description: simple Qt5 archive manager (localization)
 Arqiver is a simple Qt5 archive manager as a front-end for libarchive
 (bsdtar), gzip, and 7z.
 . .
 This package contain the localization files.
