## arqiver 0.6.0+git20200805

=== debian/changelog ===
arqiver (0.6.0+git20200805-0.1~mx19+1) mx; urgency=medium

  * New git pull; add automatic support for rar file extraction, translation
    updates.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Aug 2020 09:03:50 -0700

arqiver (0.6.0-0.1~mx19+1) mx; urgency=medium

  * Intial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Jul 2020 14:27:49 -0700
