=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
 
 Package: arqiver
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         gzip,
+Depends: gzip,
          libarchive-tools,
-         p7zip-full | p7zip
+         p7zip-full | p7zip,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: simple Qt5 archive manager
  Arqiver is a simple Qt5 archive manager as a front-end for libarchive
  (bsdtar), gzip, and 7z.
