## arqiver 0.8.0

=== debian/changelog ===
arqiver (0.8.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
   - Added a workaround for a problem in QCollator.
   - Added an option for expanding top level directories when loading archives.
   - Resize columns appropriately on expanding a directory item.
   - Don't stretch the first column by default.
   - Don't show the header without content.
   - Select/deselect the current item with Ctrl+Space and also select it when
     the first Space is typed.
   - Don't select items by pressing the left mouse button and moving the cursor.
   - Don't drag items while the middle mouse button is pressed.
   - Added "application/x-xz", "application/x-bzip" and "application/zstd" to
     the supported extractions by using 7z.
   - Added a workaround for Qt's problem with scrolling to deep nonexpanded
     tree items.
   - Always expand the first header column to fill the available width.
   - Added cmake support (in addition to qmake).
   - Allow dragging of all selected items, including probable directories.
   - Add milliseconds to the name of the cache folder that's used for temporary
     extraction because multiple archives may be loaded almost simultaneously.
   - Show the compressed size prefixed by "≥" if the file size is missing.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 17 Oct 2021 13:50:15 -0700

arqiver (0.7.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Update debian/copyright. 

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 11 Feb 2021 06:48:23 -0800

arqiver (0.6.1-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 26 Sep 2020 16:25:40 -0700
