=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  Arqiver can extract, create and edit archives that are supported by its
  backends. It can open archives by drag-and-drop. Its listed items can be
  viewed separately, or dragged and dropped into appropriate applications. With
- 7z, it also supports password protection, and is desktop-independent.
+ 7z, it also supports password protection. Arqiver is desktop-independent.
  .
  This package contain the application files.
