=== debian/control ===
Source: arqiver
Section: misc
Priority: optional
Maintainer: S. 7 <severusseptimius7@gmail.com>
Build-Depends: debhelper-compat (= 13),
               g++ (>=5),
               qtbase5-dev,
               libqt5svg5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.0
Homepage: https://github.com/tsujan/Arqiver
Vcs-Browser: https://salsa.debian.org/S.7/arqiver
Vcs-Git: https://salsa.debian.org/S.7/arqiver.git
Rules-Requires-Root: no

Package: arqiver
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libarchive-tools,
         gzip (>=1.9),
         7zip
Description: Simple Qt5 archive manager; front-end for libarchive, gzip and 7z.
 Arqiver can extract, create and edit archives
 that are supported by its back-ends.
 It can open archives by drag-and-drop.
 With 7z, it also supports password protection.
