=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/tsujan/Arqiver/releases .*/Arqiver-([\d\.]+).tar.xz
