=== debian/changelog ===
arqiver (0.11.0-0.1~mx23+1) mx; urgency=medium

  * New upstream release:
    - Added "View current item" to the "View" menu.
    - Simplified finding of Qt modules with cmake.
    - Corrected context menus on Wayland, by specifying their parent widget.
    - Removed the option about fitting the first column (because it could make
      the first column almost invisible).
    - Allow opening of `dmg` files by drag-and-drop without advertising it.
    - Protect the file type filters of file dialogs from bad translations.
    - Considered the modes of emblemized icons. This is especially relevant to
      Qt icon engines that colorize selected symbolic icons.
    - Get the mimetypes of symlinks directly, without consulting their targets
      (because their targets may be symlinks themselves and so, they aren't
      reliable).
    - First try the file manager DBus interface when opening the containing
      folder.
    - Removed the action for opening the containing folder when running as
      root (because there are DBus complications with most file managers).
    - Added read-only support for VirtualBox Extension Pack.
    - With 7z, don't show password prompt when the archive can't be read and
      there's no mention of encryption.
    - Enabled compilation against Qt6. With cmake, "ENABLE_QT5" should be set
      to "OFF" (as in `cmake .. -DENABLE_QT5=OFF`) — it's "ON" by default.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 06 Aug 2023 18:31:14 -0700

arqiver (0.9.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Show childless directories whose names contain the filtering string.
    - Fixed viewing or removing of files that have wildcard characters in their
      names with bsdtar (by escaping some wildcard characters that come after
      "--include").
    - Better smooth scrolling from inside the view (especially with touchpad).
    - Added read-only support for AppImage bundle through 7z.
    - When viewing a file in a password protected archive, ask the password
      again if a nonempty, wrong password is entered.
    - When viewing files, warn the user of links without targets instead of
      trying to open them.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 18 Oct 2021 08:46:52 -0700

arqiver (0.8.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
   - Added a workaround for a problem in QCollator.
   - Added an option for expanding top level directories when loading archives.
   - Resize columns appropriately on expanding a directory item.
   - Don't stretch the first column by default.
   - Don't show the header without content.
   - Select/deselect the current item with Ctrl+Space and also select it when
     the first Space is typed.
   - Don't select items by pressing the left mouse button and moving the cursor.
   - Don't drag items while the middle mouse button is pressed.
   - Added "application/x-xz", "application/x-bzip" and "application/zstd" to
     the supported extractions by using 7z.
   - Added a workaround for Qt's problem with scrolling to deep nonexpanded
     tree items.
   - Always expand the first header column to fill the available width.
   - Added cmake support (in addition to qmake).
   - Allow dragging of all selected items, including probable directories.
   - Add milliseconds to the name of the cache folder that's used for temporary
     extraction because multiple archives may be loaded almost simultaneously.
   - Show the compressed size prefixed by "≥" if the file size is missing.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 17 Oct 2021 13:50:15 -0700
