=== debian/changelog ===
arqiver (0.12.0-0.1~mx23+1) mx; urgency=medium

  * New upstream release:
    - Made it possible to modify files inside archives.
    - Added an option for using system icons.
    - Made sure that "No" is the default button of question dialogs (Qt seems
      to have a minor problem in this regard).
    - Don't start extraction if the archive is removed.
    - Made viewing/extracting of single files much faster with bsdtar.
    - Consistently prevent the parent extraction folder from being hidden (for
      it not to be missed by the user).
    - Fixed a bug in removal of files from archives.
    - Make sure that ed-like special characters are escaped when making path
      patterns with bsdtar.
    - Added a workaround for a nasty bug in bsdtar about start backslashes
      and the option "--strip-components".
    - Added new mimetype names of `shared-mime-info` ≥ 2.3.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 May 2024 17:48:18 -0700
