=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/V?(\d\S+)\.tar\.gz/arqiver-$1\.tar\.gz/ \
  https://github.com/tsujan/Arqiver/tags .*/V?(\d\S+)\.tar\.gz
